input[type="checkbox"],
input[type="radio"]
  opacity: 0
  position: absolute
  z-index: -1

label
  cursor: pointer
  display: inline-block
  height: 3rem
  line-height: 3rem
  padding: 0rem 0rem 0rem 2.85rem
  position: relative

  span
    color: $gray - 72%
    font-weight: bold
    margin-left: -1.685rem
    position: absolute
    z-index: 1

label::before,
label::after
  position: absolute
  display: block
  height: 3rem
  left: 0
  top: 0
  width: 3rem

label::before
  border: 2px solid #bdc3c7
  border-radius: 20%
  content: " "

/* Checkbox */
input[type="checkbox"] + label::after
  color: #2c3e50
  content: "\2714"
  line-height: 3rem
  text-align: center

/* Radio */
input[type="radio"] + label::before
  border-radius: 50%

input[type="radio"] + label::after
  background: #fff
  border: .2rem solid #2c3e50
  border-radius: 50%
  content: " "
  height: 3rem
  width: 3rem
  left: 0rem
  top: 0rem

/* :checked */
input[type="checkbox"]:checked + label::before,
input[type="radio"]:checked + label::before
  background: #fff
  border-color: #fff

input[type="checkbox"] + label::after,
input[type="radio"] + label::after
  -ms-transform: scale(0)
  -o-transform: scale(0)
  -webkit-transform: scale(0)
  transform: scale(0)

input[type="checkbox"]:checked + label::after,
input[type="radio"]:checked + label::after
  -ms-transform: scale(1)
  -o-transform: scale(1)
  -webkit-transform: scale(1)
  transform: scale(1)

/* Transition */
label::before,
label::after,
label span::before,
label span::after
  -o-transition: .25s all ease
  -webkit-transition: .25s all ease
  transition: .25s all ease
